Debian Bug report logs - #377624
RM: lambdamoo -- RoQA; no users

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>

Date: Mon, 10 Jul 2006 11:48:47 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#377624; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: lambdamoo -- a server for an online multiuser virtual world
Date: Mon, 10 Jul 2006 13:36:08 +0200
Package: wnpp
Severity: normal

The current maintainer of lambdamoo, Jonathan Walther <krooger@debian.org>,
is no longer active.  Therefore, I orphan this package
now.  If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: lambdamoo
Binary: lambdamoo
Version: 1:1.8.2-cvs20050209-4
Priority: optional
Section: net
Maintainer: Jonathan Walther <krooger@debian.org>
Build-Depends: bison, debhelper (>= 5)
Architecture: any
Standards-Version: 3.6.2.2
Format: 1.0
Directory: pool/main/l/lambdamoo
Files: 50168e9cb3bfa4849ebcf83f3ad48046 734 lambdamoo_1.8.2-cvs20050209-4.dsc
 c62d25e52c70d8a173c1250060a0e666 378572 lambdamoo_1.8.2-cvs20050209.orig.tar.gz
 b85c722351a288fc7f910e72faeeae01 6685 lambdamoo_1.8.2-cvs20050209-4.diff.gz

Package: lambdamoo
Priority: optional
Section: net
Installed-Size: 344
Maintainer: Jonathan Walther <krooger@debian.org>
Architecture: i386
Version: 1:1.8.2-cvs20050209-4
Provides: lambdamoo-server
Depends: libc6 (>= 2.3.5-1)
Recommends: lambdacore | lambdamoo-core
Suggests: tf, lambdamoo-docs, daemontools-installer
Filename: pool/main/l/lambdamoo/lambdamoo_1.8.2-cvs20050209-4_i386.deb
Size: 179938
MD5sum: a1f66801ac9d53da73f86d7029ee6638
SHA1: 3ed26e58d2786a8abde6aa14a3719e36db4b2eb6
SHA256: df92dbe925cc96484733b45d87608fc749194c47849c9b9333c61edce56d1c2d
Description: a server for an online multiuser virtual world
 Lambdamoo is a server for a virtual world, a computer program which users
 can log into and explore. Each user takes control of a computerized
 persona/avatar/incarnation/character. You can walk around, chat with other
 people, solve puzzles, and even create your very own rooms, descriptions
 and items.
 .
 Advanced users can program Lambdamoo, via its built in object-oriented
 programming language.
 .
 Lambdamoo only provides the bare framework for your virtual world. A
 lambdamoo guru could theoretically start with lambdamoo and the included
 minimal core database and work their way up to a full-fledged system. The
 rest of us will want to install the lambdacore or jhcore packages which
 add objects and functionality to lambdamoo.
Tag: game::mud, interface::daemon, role::sw:server, use::gameplaying




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#377624; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Nathanael Nerode <neroden@fastmail.fm>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 377624@bugs.debian.org (full text, mbox):

From: Nathanael Nerode <neroden@fastmail.fm>
To: control@bugs.debian.org, 377623@bugs.debian.org, 377622@bugs.debian.org, 377620@bugs.debian.org, 377621@bugs.debian.org
Cc: 377624@bugs.debian.org
Subject: Please remove lambdamoo core dbs
Date: Mon, 18 Sep 2006 13:48:35 -0400
retitle 377621 RM: ghostcore -- RoQA; orphaned, copyright problems
retitle 377620 RM: encore -- RoQA; orphaned, copyright problems
retitle 377622 RM: jhcore -- RoQA; orphaned, copyright problems
retitle 377623 RM: lambdacore -- RoQA; orphaned, copyright problems
reassign 377620 ftp.debian.org
reassign 377621 ftp.debian.org
reassign 377622 ftp.debian.org
reassign 377623 ftp.debian.org
thanks

LambdaCore has copyright problems.  It was written by a large number of
pseudonymous people, many of whom could probably not be identified even
by their pseudonyms now.  Most of them never granted explicit
licenses for the use of their work.  And most of it was done after 1988,
when copyright became automatic in the US.

Unfortunately, jhcore, encore, and ghostcore are all based on lambdacore,
and inherit the same copyright problems.

Presumably since LambdaCore has been released for years, the denizens of LambdaMOO
who wrote it are mostly OK with it.  But they didn't actually grant any licenses,
and we don't actually know whether they are all OK with it.

Accordingly, I request that this mass of orphaned packages be removed.

(The lambdamoo server is still usable with the 'minimal' core database, and the
server has had its copyright and licensing handled carefully, so it's OK.  However,
anyone choosing to adopt it should be warned about the core databases.)

-- 
Nathanael Nerode  <neroden@fastmail.fm>

Theocracy, fascism, or absolute monarchy -- I don't care which it is, I don't like it.



Changed Bug title to `RM: lambdamoo -- RoQA; no users' from `O: lambdamoo -- a server for an online multiuser virtual world'. Request was from Luk Claes <luk@ries.debian.org> to control@bugs.debian.org. (Wed, 12 Sep 2007 18:00:02 GMT) Full text and rfc822 format available.

Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Luk Claes <luk@ries.debian.org> to control@bugs.debian.org. (Wed, 12 Sep 2007 18:00:02 GMT) Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 377624-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 377624-close@bugs.debian.org
Cc: lambdamoo@packages.debian.org, lambdamoo@packages.qa.debian.org
Subject: Bug#377624: fixed
Date: Sat, 15 Sep 2007 20:59:52 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

 lambdamoo | 1:1.8.2-cvs20050209-6 | source, alpha, amd64, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 377624@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 14 Oct 2007 07:27:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:57:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.